From 65319d3109632465e13eaad3a656e0e0dd02ef18 Mon Sep 17 00:00:00 2001
From: Pan Nengyuan <pannengyuan@huawei.com>
Date: Mon, 30 Mar 2020 11:25:04 +0800
Subject: [PATCH 04/77] usb_hotplug: ignore set selinux status in usb_hotplug
 test case

ignore exception when setting selinux status on openeuler

Signed-off-by: Pan Nengyuan <pannengyuan@huawei.com>
---
 libvirt/tests/src/libvirt_usb_hotplug_device.py | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/libvirt/tests/src/libvirt_usb_hotplug_device.py b/libvirt/tests/src/libvirt_usb_hotplug_device.py
index 31a56efe..1e43ea50 100644
--- a/libvirt/tests/src/libvirt_usb_hotplug_device.py
+++ b/libvirt/tests/src/libvirt_usb_hotplug_device.py
@@ -40,7 +40,8 @@ def run(test, params, env):
 
     # Set selinux of host.
     backup_sestatus = utils_selinux.get_status()
-    utils_selinux.set_status("permissive")
+    if 'disable' not in backup_sestatus:
+        utils_selinux.set_status("permissive")
 
     if usb_type == "storage":
         controllers = vm_xml.get_devices(device_type="controller")
@@ -165,5 +166,6 @@ def run(test, params, env):
         session.close()
         if os.path.isdir(tmp_dir):
             shutil.rmtree(tmp_dir)
-        utils_selinux.set_status(backup_sestatus)
+        if 'disable' not in backup_sestatus:
+            utils_selinux.set_status(backup_sestatus)
         vm_xml_backup.sync()
-- 
2.23.0

